0.35 RELEASE CANDIDATE 2

New games supported:
--------------------

SAR - Search and Rescue [Bryan McPhail]
Street Smart [Bryan McPhail]
Demon's World / Horror Story [Darren Olafson]
Rally Bike / Dash Yarou [Darren Olafson]
Flying Shark / Sky Shark [Quench]
Wardners Forest / Pyros [Quench]


New clones supported:
---------------------

Terra Cresta (YM3526 set 2) [Nicola Salmoria]
Indiana Jones and the Temple of Doom [Yasuhiro Ogawa]
Makai-Mura (2 new sets) [Yasuhiro Ogawa]
Mizubaku Daibouken (= Liquid Kids) [Yasuhiro Ogawa]


Other drivers changes:
----------------------

- Added rotary control support to Top Gunner. This works in topgunbl *only* -
  the gun turret cannot be rotated in jackal and topgunr, those games don't
  support the rotary joystick. [Karl Stenerud]

- Incresed the horizontal resolution for NeoGeo to 320. This looks strange with
  some games, but it is definitely the correct value as I verified it on the
  real thing. Games like Puzzle Bobble and Baseball Stars use the extra area,
  while most of the other games draw just two bars in there. If a game looks
  odd, adjust your monitor to send the extra area offscreen. [Nicola Salmoria]

- Fixed the slapstic emulation in Gauntlet, Gauntlet II, Xybots, Empire Strikes
  Back, Rampart. [Ernesto Corvi, Nicola Salmoria]

- Fixed crashes in Demon, added analog controls to Tailgunner, fixed reset bug
  in Space Wars, added glove control to Boxing Bugs, added color to War of the
  Worlds and Boxing Bugs (seems to be wrong compared to Retrocade).
  [Mathis Rosenhauer]

- Added scroll to Pinball Action when you push button 4, but I'm not sure it's
  correct. [Nicola Salmoria]


Changes to the main program:
----------------------------

- Simplified the error message when ROMs are missing. It now gives a list of
  all the missing ROMs, it doesn't stop at the first one. [Nicola Salmoria]


Source:
-------

- IMPORTANT FOR PORTERS: the "safety area" allocated by osd_new_bitmap() must
  now be 16 pixels instead of 8. This is required by the NeoGeo driver.

==========================================================================


0.35 RELEASE CANDIDATE 1

New games supported:
--------------------

Mars [Zsolt Vasvari]
New Sinbad 7 [Zsolt Vasvari]
Hot Shocker [Zsolt Vasvari]
Levers [Zsolt Vasvari]
Azurian Attack [Zsolt Vasvari]
Saturn [Nicola Salmoria]
Quiz Sangokushi [Nicola Salmoria]
Spelunker [Nicola Salmoria]
Freeze [Nicola Salmoria]
Mahjong Gakuen [Nicola Salmoria]
Mahjong Gakuen 2 Gakuen-chou no Fukushuu [Nicola Salmoria]
Super Marukin-Ban [Nicola Salmoria]
Poker Ladies [Nicola Salmoria]
Capcom World [Nicola Salmoria]
Quiz Tonosama no Yabou 2 [Nicola Salmoria]
Pang! 3 [Nicola Salmoria]
Appoooh [Tatsuyuki Satoh]
The Legend of Kage [Phil Stroffolino]


New clones supported:
---------------------

Tank [Roberto Fresca]
Major Havoc (prototype) [Brad Oliver]
Devil Fish [Zsolt Vasvari]
Route 16 (original) [Zsolt Vasvari]
Nebulous Bee (= Galaga) [Zsolt Vasvari]
Block Block (Japan) [Nicola Salmoria]
Street Fighter II' - Champion Edition (Accelerator Pt.II) [Nicola Salmoria]
Snow Bros (Japan) [Nicola Salmoria]
Qix (set 3) [Al Kossow]
Cadillacs & Dinosaurs (Japan) [Santeri Saarimaa]
Pleiads (original) [Eric Hustvedt]
Dig Dug (Namco set 2) [Yasuhiro Ogawa]
Dig Dug 2 (set 2) [Yasuhiro Ogawa]
Alcon (= Slap Fight) (not working due to protection) [Marco Cassili]


These drivers have improved GRAPHICS:
-------------------------------------

- Fixed background colors in Great Swordsman. [Jarek Parchanski]

- Fixed (hopefully) colors in Blue Print. [Nicola Salmoria]


These drivers have new or improved SOUND:
-----------------------------------------

- Fixed Caveman Ninja. [Bryan McPhail]

- Sound in Great Swordsman, fixed ADPCM playback in Great Swordsman and
  Gladiator. [Tatsuyuki Satoh]

- Fixed Street Fighter. [Nicola Salmoria]

- Improved Nemesis/Gradius/Twinbee/Salamander. [Elestir]

- Music in Block Block, Hatena etc. [Nicola Salmoria]

- Fixed sound in LED Storm / Mad Gear. [Jarek Burczynski]


Other drivers changes:
----------------------

- Added dip switches to the Atari System 2 games. [Nicola Salmoria]


Changes to the main program:
----------------------------

- The Pause key can be changed from the "Keys (defaults)" configuration menu.
  [Nicola Salmoria]

- Added a palette viewer to the gfx viewer (F4). [Nicola Salmoria]

- [DOS] New video modes from CabMAME: low scanrate modes for connection to
  NTSC/PAL and arcade monitors. -monitor NNNN selects the monitor type:
  "standard" (default), "ntsc", "pal", "arcade". -centerx N and -centery N
  each take a signed value (-8 to 8 for centerx, -16 to 16 for centery) and let
  you shift the low scanrate modes around. -waitinterlace forces update of
  both odd and even fields of an interlaced display for each game loop.
  [Brian Lewis]

- [DOS] Since there are now many tweaked VGA modes which may have compatibility
  problems with some video cards / monitors, they are now off by default. By
  default, VESA is used; the -vesa command line switch is no longer used.
  Instead, there is a -tweak switch which enables the VGA tweaked modes.
  [Nicola Salmoria]

- [DOS] New tweaked VGA modes: 384x240 (for CPS1, Pang etc.), 384x256 (for Lode
  Runner etc.), 336x240 (for Gauntlet and other Atari games), 320x240 (for
  NeoGeo and others). They are used automatically, if your video card/monitor
  can't handle them, use -notweak (or try adjusting the parameters in mame.cfg
  if you know what you are doing). [Brian Lewis, Andrea Mazzoleni]

- [DOS] Removed the -nodouble command line option. Use -nostretch instead. If
  you are updating from an earlier beta, make sure to delete mame.cfg (or
  manually update it) otherwise stretch will be disabled. [Nicola Salmoria]

- Changed the analog port handling to avoid problems with keyboard control
  (e.g. Arkanoid 2). [Nicola Salmoria]


Source:
-------

- Added support for slave mode to the MSM5205 emulation. [Tatsuyuki Satoh]


==========================================================================


0.35 BETA 13

New games supported:
--------------------

Adventure Quiz 2 Hatena no Dai-Bouken [Nicola Salmoria]
Cyberball 2072 (2 Players) [Aaron Giles]
Rampart [Aaron Giles]
Shuuz [Aaron Giles]
Skull & Crossbones [Aaron Giles]
Bad Lands [Aaron Giles]
Grobda [Manuel Abadia]
Phozon [Manuel Abadia]
Genpei ToumaDen [Nicola Salmoria]
The Return of Ishtar [Nicola Salmoria]
Wanted [Zsolt Vasvari]
Truxton / Tatsujin [Darren Olafson]
Out Zone [Darren Olafson]
Extermination [Nicola Salmoria]
Minky Monkey [Zsolt Vasvari]
Marine Boy [Zsolt Vasvari]
Changes [Zsolt Vasvari]
Springer [Zsolt Vasvari]
Hoccer [Zsolt Vasvari]
Funky Bee [Zsolt Vasvari]
Sky Lancer [Zsolt Vasvari]
Zodiack [Zsolt Vasvari]
Dog Fight [Zsolt Vasvari]
Moguchan [Zsolt Vasvari]
Return of the Invaders [Jarek Parchanski]
No Man's Land [Mike Coates]


New clones supported:
---------------------

Ninja Kid 2 (set 3) [Nicola Salmoria]
Rad Action (= Ninja Kid 2) [Jarek Parchanski]
Crush Roller (Kural Samno) also note that the main set is now crush instead of
  maketrax [Gerald Vanderick]
Street Fighter II' (Red Wave)
Shisensho (Joshiryo-Hen) (= Sichuan II) [Yasuhiro Ogawa]
Mouse Trap (version 3 and 4) [Eric Hustvedt]
Arabian (Sun Electronics) [Gerald Vanderick]
Dangar (bootleg) [Nicola Salmoria]
Bomb Jack (set 1) [Nicola Salmoria]
Cruisin (=City Connection) [Nicola Salmoria]
Hangly-Man (set 2) [Gerald Vanderick]
Head On (set 2) [Nicola Salmoria]
Quantum (prototype) [Zsolt Vasvari]
Galaga '84 [Valerio Verrando]
Zzyzzyxx (set 2) [Zsolt Vasvari]
Pop Flamer (set 2) (note the different gameplay) [Gerald Vanderick]
Hit'n Miss (version 2.0) [Nicola Salmoria]


These drivers have new or improved SOUND:
-----------------------------------------

- Sound in Demolition Derby. [Bret Wallace]

- Fixed sound in World Tennis. [Zsolt Vasvari]


Other drivers changes:
----------------------

- Lots of improvements in the Atari drivers. [Aaron Giles]

- Fixed all known problems in Xain'd Sleena. [Nicola Salmoria]

- Fixed decryption in Treasure Hunt [Zsolt Vasvari]


Changes to the main program:
----------------------------

- [DOS] Enabled again the -triplebuffer option, and triple buffering is
  disabled by default. Remember that -triplebuffer disables -vsync, so if
  you absolutely want to use -vsync in VESA modes, don't use -triplebuffer.
  [Nicola Salmoria]

- Improved VLM5030 emulation. [Tatsuyuki Satoh]

- Fixed a couple of bugs in the 68000 emulation (both asm and C). They affected
  Power Spikes 2 and F1 Dream. [Mike Coates]

- Improved uPD7759 ADPCM decode. [Juergen Buchmueller]

- [DOS] -stretch 1024x768 can be used with Sichuan II and Golden Star.
  [Nicola Salmoria]

- Moved mixer control out of streams.c and into the new mixer.c. Now the On
  Screen Display can be used to change the volume of any channel, not just ones
  handled by streams.c. The configuration is also saved on exit and is
  automatically reloaded the next time you start the game. [Nicola Salmoria]


Source:
-------

- The zlib library is required to build MAME, it can be downloaded from
  http://www.cdrom.com/pub/infozip/zlib/.

- PNG save support. save_screen_snapshot() may be called by osd_save_snapshot()
  to save a standardized shot. Under DOS, .png files go go to the SNAP
  directory. [Mathis Rosenhauer, Mike Haaland]

- struct GameSample no longer has a volume field (since it is not stored in .wav
  files), to replace that struct Samplesinterface has an additional volume field
  which affects all samples played. [Nicola Salmoria]

- Replaced osd_adjust_sample() with osd_set_sample_freq() and
  osd_set_sample_volume(), and the OSD_PAN_xxx macros with MIXER_PAN_xxx.


==========================================================================


0.35 BETA 12

New games supported:
--------------------

Balloon Bomber [Mike Coates]
Cloud 9 [Mike Balfour]
Yam! Yam!? [Nicola Salmoria]
Quiz Tonosama no Yabou [Nicola Salmoria]
Ali Baba and 40 Thieves [Zsolt Vasvari]
Air Buster [Luca Elia]
Salamander [Bryan McPhail]
Mega Zone [Chris Hardy]
Act Fancer (not working due to bad ROM) [Bryan McPhail]
Dyger [Nicola Salmoria]
Combat School [Manuel Abadia, Phil Stroffolino]
Mutant Night [Leandro Dardini, Mirko Buffoni]
World Tennis [Zsolt Vasvari]


New clones supported:
---------------------

Vigilante (US) [Eric Hustvedt]
Le Bagnard (= Bagman) [Gerald Vanderick]
Caveman Ninja (revision 3) [Gerald Vanderick]
Street Fighter II' - Champion Edition (US rev A and B) [Nicola Salmoria]
Space Invasion (= Commando) [Nicola Salmoria]
Sega Space Attack (upright) [Nicola Salmoria]
Moon Cresta (bootleg) [Zsolt Vasvari]


These drivers have improved GRAPHICS:
-------------------------------------

- Fixed missing arrow in the radar in Over Top, but this breaks the Nam-1975
  screen when you insert a coin. [Nicola Salmoria]

- Fixed Block Block title screen. [Nicola Salmoria]

- Fixed the spider gfx, and sky color, in Rainbow Islands. [Mike Coates]


These drivers have new or improved SOUND:
-----------------------------------------

- Major improvements to Atari sound (e.g. speech in Toobin') [Aaron Giles]

- Sound in Rainbow Islands. [Mike Coates]


Other drivers changes:
----------------------

- Emulated the protection in Hippodrome, which is now working 100%.
  [Byan McPhail]

- Drastically reduced load times of the larger NeoGeo games. [Nicola Salmoria]

- Boss order in Super Real Darwin should be correct. [José Miguel Morales
  Farreras]

- Rainbow Islands is playable (using the C-Chip dump from Jumping).
  [Mike Coates]

- Memory card support in the NeoGeo driver. Card data is saved to the MEMCARD
  directory (you have to create it). Use the TAB menu to access the memory card
  options. [Fabrice Martinez]

- Fixed F1 Dream protection workaround (note that the game still doesn't work
  correctly with the 68000 C core). [Mike Coates]


Changes to the main program:
----------------------------

- [DOS] All flickering problems with triple buffering should now be solved, so
  it's now always ON. Let me know if you have problems with it, and I'll add
  back an option to disable it. vsync and waitvsync are automatically disabled,
  so you can leave them enabled - they will only be used in tweaked VGA modes
  or if your video card doesn't have enough RAM to do triple buffering.
  [Nicola Salmoria]


Source:
-------

- OSD_FILETYPE_MEMCARD for memory cards. [Fabrice Martinez]


==========================================================================


0.35 BETA 11

New games supported:
--------------------

Prehistoric Isle in 1930 [Bryan McPhail, Carlos A. Lozano]
Double Dribble [Manuel Abadia]
Terra Force [Carlos A. Lozano, Phil Stroffolino]
Armed Formation [Carlos A. Lozano, Phil Stroffolino]
Wiping [Allard van der Bas]
Cabal [Carlos A. Lozano, Phil Stroffolino]
Wonder Momo [Nicola Salmoria, Ernesto Corvi]
Insector X [Nicola Salmoria]
Sichuan II (it's 100% emulated, but one ROM is missing so it doesn't work
  correctly) [Nicola Salmoria]
Goindol [Jarek Parchanski]
Vindicators part II [Aaron Giles]
Ufo Robo Dangar [Carlos A. Lozano]


New clones supported:
---------------------

D-Day (Olympia) [Zsolt Vasvari]
Zaxxon (set 2) [Marco Cassili]
Eagle (set 2) [Marco Cassili]
Do! Run Run (set 2) [Marco Cassili]
Do! Run Run (Do's Castle hardware) [Nicola Salmoria]
Intrepid (set 2) [Thierry Lescot]
Super Mouse (set 2) [Thierry Lescot]
My Hero (Japan) [Nicola Salmoria]
Green Beret (bootleg) [Mirko Buffoni]
Punk Shot (4 players) [Nicola Salmoria]
Block Out (set 2) [Nicola Salmoria]
Aero Fighters (Turbo Force hardware set 2) [Nicola Salmoria]
Spiders (set 1) [Nicola Salmoria]
Last Duel (US set 2) [Byan McPhail]
Led Storm [Byan McPhail]
Bubble Bobble (US) [Brad Oliver]
Rastan (US) [Nicola Salmoria]
Stratovox (bootleg) [Nicola Salmoria]
Pac Gal [Victor Trucco]
Star Wars (revision 2) [Brad Oliver]
Indiana Jones (set 2) [Aaron Giles]
Blasteroids (version 4) [Aaron Giles]
Escape From the Planet of Robot Monsters (set 2) [Aaron Giles]
Majestic Twelve [Marco Cassili]
Cosmo Police Galivan (set 2) [Nicola Salmoria]
Naughty Boy (Jaleco and bootleg) [Brad Oliver]


These drivers have improved GRAPHICS:
-------------------------------------

- Several fixes and improvements to D-Day. [Zsolt Vasvari]

- Fixed foreground transparency in Pac-Land round 19. [Nicola Salmoria]

- Better backdrop for Battle Zone (bzone.png). [Nathan Sturm]

- Fixed background in Street Fighter 1. [Olivier Galibert]

- Fixed sprite glitches in Jail Break and Iron Horse. [Nicola Salmoria]

- Fixed sprites colors in Galivan. [Nicola Salmoria]


These drivers have new or improved SOUND:
-----------------------------------------

- Support for Eliminator 2/4 player samples and additional sounds for
  Zektor. [Jim Hernandez]

- Fixed tune in Phoenix. [Richard Davies]

- Added ADPCM samples to Mad Gear. [Bryan McPhail]


Changes to the main program:
----------------------------

- Added support for .wav samples. The custom .sam samples are no longer
  supported (you can use the sam2wav converter to convert them). [Aaron Giles]

- [DOS] Rough triple buffering support in VESA modes. You can turn it on with
  the -triplebuffer switch. It is not guaranteed to work well, but if it does,
  it offers results similar to -waitvsync but without the performance drop.
  Do NOT use it together with -vsync or -waitvsync. [Nicola Salmoria]

- A missing ROM for which no good dump is known to exist is no longer a fatal
  error - you can start the emulation even if the file is missing. Its space
  will be filled with random data. Of course the game will probably
  malfunction. The output of -verifyroms is slightly changed, it says "NO GOOD
  DUMP KNOWN" now and doesn't print 00000000 checksums. [Nicola Salmoria]


Source:
-------

- Major overhaul to the Atari games, and fixes to the 68000 and 6502 cores to
  get them going properly. [Aaron Giles]


==========================================================================


0.35 BETA 10

Please report any problem you find with the C 68000 core. There are no known
bugs as of now (apart from ball movement in Power Spikes 2), if no new bugs
are found we'll switch back to test the asm core.


New games supported:
--------------------

Shooting Master (not working due to protection) [Nicola Salmoria]
Senjyo [Mirko Buffoni]
Star Cruiser (preliminary) [Frank Palazzolo]
RodLand (Japan) [Luca Elia]
Earth Defense Force [Luca Elia]
Avenging Spirit [Luca Elia]
Disco No.1 [Zsolt Vasvari]


New clones supported:
---------------------

Star Force (encrypted) [Nicola Salmoria]


These drivers have improved GRAPHICS:
-------------------------------------

- Fixed colors in Birdie King 2. [Zsolt Vasvari]


Other drivers changes:
----------------------

- "kbmame" multi-button key equivalents for the NeoGeo games. They are only
  available if cheats are enabled. [Nicola Salmoria]


Changes to the main program:
----------------------------

- Added menu option to configure the default joystick settings (like the
  default keys), [Nicola Salmoria]

- [DOS] Fixed severe slowdowns when 16-bit audio was selected.
  [Nicola Salmoria]

- [DOS] The parameters which control tweaked VGA modes can be changed by
  editing mame.cfg, so they can be fine tuned to match each particular video
  card/monitor combination (these are non standard modes so they can't be made
  to work in the same way on all setups). If you want to try that (warning:
  only experienced users should try) make sure to read vgatweak.txt.
  [Valerio Verrando]

- Changed format of the history database. [John Butler]


Source:
-------

- Reorganized the sound subsystems, hopefully I didn't break anything in the
  process. [Nicola Salmoria]

- Added support for up to 4 analog controllers (multiple trackballs are NOT
  supported under DOS, but multiple joysticks should work). [Brad Oliver]


==========================================================================


0.35 BETA 9

After the problems with the last few betas, this should be a stable release
again. All games which worked before the core changes should be working again.
Let us know if you find some still broken.


New games supported:
--------------------

Sindbad Mystery [Nicola Salmoria, Mike Balfour]
Yamato (preliminary) [Nicola Salmoria]
Super Burger Time [Bryan McPhail]
Gaplus [Manuel Abadia, Ernesto Corvi]
Van Van Car [Allard van der Bas]
Super Locomotive [Zsolt Vasvari]


New clones supported:
---------------------

Crazy Climber (bootleg set 2) [Zsolt Vasvari]
Pac Man (modified) [Allard van der Bas]


These drivers have improved GRAPHICS:
-------------------------------------

- Fixed background in Pig Newton. [Mike Balfour]

- Fixed the Galaxian-style starfield. Believe it or not, it had been broken
  since day 1. [Nicola Salmoria]

- Converted the System 16 drivers to use the TileMap system - they are now
  cleaner, faster, and support screen rotation. [Phil Stroffolino]


Other drivers changes:
----------------------

- Fixed hangs in Super Real Darwin when big bosses come, however the order
  they appear in is likely wrong (it's a protection issue). If you know the
  correct order, contact mish@tendril.force9.net. [Bryan McPhail]

- Emulated the protection in Jump Bug (Rock-ola). Some ROM splitup too, and
  fixed colors. [Zsolt Vasvari]


Changes to the main program:
----------------------------

- [DOS] New tweaked 256x256 VGA modes (both scanlines and noscanlines)
  stretched to fill the screen. They are automatically used for horizontal
  games, and are preferable to the -stretch option since they are faster.
  You might have to adjust your monitor settings to make them properly
  centered and fill the screen (use the border displayed on startup as a
  guideline). [Valerio Verrando]


Source:
-------

- The debugger is almost complete. [Juergen Buchmueller]

- Redesigned the struct InputPort to use less space, and changed how analog
  inputs are defined. An additional benefit is that the keys for digital
  emulation of analog inputs are now defined in the Keys for this Game menu,
  together with all other keys, instead that in the Analog Controls menu.
  The Analog Controls menu remains to set the other parameters.
  [Nicola Salmoria]

- Added default strings for dip switches. For example, instead of "Cabinet",
  use DEF_STR( Cabinet ). The constants are defined in inptport.h.
  [Nicola Salmoria]


==========================================================================


0.35 BETA 8

Most of the problems of beta 7 have been fixed, but the C 68000 core still
isn't 100%.

New games supported:
--------------------

TNK3 [Carlos A. Lozano, Phil Stroffolino]
ASO [Carlos A. Lozano, Phil Stroffolino]
Athena [Carlos A. Lozano, Phil Stroffolino]
Fighting Golf [Carlos A. Lozano, Phil Stroffolino]
Bermude Triangle [Carlos A. Lozano, Phil Stroffolino]
Psycho Soldier [Carlos A. Lozano, Phil Stroffolino]
Chopper I [Carlos A. Lozano, Phil Stroffolino]
Caveman Ninja [Bryan McPhail]
Tumble Pop [Bryan McPhail]
Speed Coin [Frank Palazzolo]
Sky Chuter [Lee Taylor]


New clones supported:
---------------------

Rally X (Namco) [Yasuhiro Ogawa]
Tower of Druaga (set 2) [Yasuhiro Ogawa]
Warp Warp (Namco) [Yasuhiro Ogawa]
King and Balloon (Japan) [Yasuhiro Ogawa]
Aero Fighters (Turbo Force hardware) [Nicola Salmoria]


These drivers have improved GRAPHICS:
-------------------------------------

- Fixed missing item at the bottom of the screen in Tower of Druaga.
  [Nicola Salmoria]

- Fixed again the colors in Lode Runner 2. This time it should really be 100%.
  [Nicola Salmoria]


These drivers have new or improved SOUND:
-----------------------------------------

- Implemented the RC filters in early Konami games (Time Pilot, Pooyan, etc.)
  [Zsolt Vasvari]

- Added voices to Rolling Thunder. [Ernesto Corvi]


Other drivers changes:
----------------------

- Fixed 1 player start button not working on level 31 of Tower of Druaga.
  [Nicola Salmoria]


Changes to the main program:
----------------------------

- Added a "Game History" entry to the menu. Data is fetched from the file
  HISTORY.DAT. Thanks to Brian Deuel, Neil Bradley and the Retrocade dev team
  for allowing us to use Retrocade's game history database. [John Butler]

- All new, completely rewritten debugger (not finished yet). [Juergen
  Buchmueller]

- [DOS] Switches -noartwork and -nosamples to turn off artwork or sample
  loading. [Valerio Verrando]


==========================================================================


0.35 BETA 7

New games supported:
--------------------

The Battle-Road [Eric Hustvedt]


New clones supported:
---------------------

Block Block (bootleg) [Nicola Salmoria]
TNZS (bootleg) [Nicola Salmoria]


These drivers have improved GRAPHICS:
-------------------------------------

- Added the missing background layer to Cobra Command. [Bryan McPhail]

- Colors & sprites in Super Real Darwin should be correct. [Bryan McPhail]

- Char/sprite priority in Lode Runner 2 & 3 and in Battle Road. [Eric Hustvedt]


Other drivers changes:
----------------------

- Fixed the in game timer in Captain Silver, this probably fixes other
  gameplay glitches. [Bryan McPhail]

- Fixed controls in Gondomania and Last Mission. [Bryan McPhail]


Changes to the main program:
----------------------------

- new switch "-waitvsync /-nowaitvsync" (use it with -novsync); it waits for
  video sync before drawing the screen but uses the normal MAME throttling.
  This gives smoother display with scrolling game (like vsync), but works
  with video modes with higher refresh frequency, and is more win-friendly.
  [Valerio Verrando]


Source:
-------

- Major overhaul to the cpu cores. Note that the debugger doesn't work in this
  release. [Juergen Buchmueller]


==========================================================================


0.35 BETA 6

Note: the CPU cores have been completely torn apart and rearranged in this
release. Don't be surprised if a large number of games donì't work at all.
FOr example, Twin Cobra doesn't boot, and most (all?) of the games using
a 6803 lock up (ctrl-alt-del needed).


New games supported:
--------------------

Space Wars [Aaron Giles, Zonn Moore, Jeff Mitchell, Neil Bradley]
Vectorbeam [Aaron Giles, Zonn Moore, Jeff Mitchell, Neil Bradley]
Star Hawk [Aaron Giles, Zonn Moore, Jeff Mitchell, Neil Bradley]
Star Castle [Aaron Giles, Zonn Moore, Jeff Mitchell, Neil Bradley]
Tailgunner [Aaron Giles, Zonn Moore, Jeff Mitchell, Neil Bradley]
Rip Off [Aaron Giles, Zonn Moore, Jeff Mitchell, Neil Bradley]
Speed Freak [Aaron Giles, Zonn Moore, Jeff Mitchell, Neil Bradley]
Sundance [Aaron Giles, Zonn Moore, Jeff Mitchell, Neil Bradley]
Warrior [Aaron Giles, Zonn Moore, Jeff Mitchell, Neil Bradley]
Armor Attack [Aaron Giles, Zonn Moore, Jeff Mitchell, Neil Bradley]
Solar Quest [Aaron Giles, Zonn Moore, Jeff Mitchell, Neil Bradley]
Demon [Aaron Giles, Zonn Moore, Jeff Mitchell, Neil Bradley]
War of the Worlds [Aaron Giles, Zonn Moore, Jeff Mitchell, Neil Bradley]
Boxing Bugs [Aaron Giles, Zonn Moore, Jeff Mitchell, Neil Bradley]
Mystic Marathon [Michael Soderstrom]
Turkey Shoot [Michael Soderstrom]
Inferno [Michael Soderstrom]
Joust 2 [Michael Soderstrom]
Pontoon [Zsolt Vasvari]


New clones supported:
---------------------

Dark Seal (revision 3) [Bryan McPhail]
Pocket Gal 2 [Bryan McPhail]
Super Pool III [Bryan McPhail]
Scramble (Konami) [Zsolt Vasvari]
Scramble (bootleg) [Zsolt Vasvari]
Yie-Ar Kung Fu (set 1) [Zsolt Vasvari]
Tazz-Mania (Strategy X hardware) [Zsolt Vasvari]
Eliminator (2 Players, set 2) [Thierry Lescot]
Super Buster Bros (KEEP 1 PRESSED WHILE BOOTING THE FIRST TIME)
Ninja Princes (not encrypted) [Nicola Salmoria]
Rolling Thunder (set 2) [Nicola Salmoria]


These drivers have improved GRAPHICS:
-------------------------------------

- Fixed colors in Lode Runner 2. Also fixed the layout of round 8 and 28.
  [Nicola Salmoria]


Changes to the main program:
----------------------------

- [DOS] New -stretch option to optionally stretch low resolution games to fill
  the screen. The default is -stretch off, which is the same behaviour as
  before. -stretch 1024x768 automatically uses the "quadra" mode for horizontal
  games whose resolution is less or equal to 256x256. -stretch 800x600 uses
  the "triple" mode. The -quadra and -triple options are no longer needed and
  have been removed.
  1024x768 will be perfect (for 256x256 games) or almost perfect (for 256x240
  and 256x224 games) without monitor adjustment, so it is indicated for LCD
  displays. However, it is slower than 800x600. 800x600 is faster but the games
  are stretched to resolutions from 768x448 to 768x512, so they don't fill the
  screen and are squashed vertically. Here's the tip: if your monitor is good
  enough, you can use the controls to expand the picture and make it fit
  perfectly in the screen. Note that this tip  applies not only to stretched
  modes, but also to med-res games like Lode Runner (384x256) and the CPS1
  games (384x224). The CPS1 games in particular are unbearably squashed unless
  you adjust the monitor. [Nicola Salmoria]

- [DOS] New option -volume n to set the startup volume. The volume is an
  attenuation in dB, e. g. "-volume -12" will start with a -12dB attenuation.
  [Nicola Salmoria]

- The user interface is rotated by -rol and -ror. [Nicola Salmoria]

- Improvements to the YM2610 timers, added an interface for external volume
  control. [Tatsuyuki Satoh]

- Major changes to the whole CPU interface and cores. [Juergen Buchmueller]

- [DOS] All new, completely rewritten autoframeskip code. [Nicola Salmoria]


==========================================================================


0.35 BETA 5

New games supported:
--------------------

Boulder Dash [Bryan McPhail]
Crackshot [Aaron Giles]
Vimana [Darren Olafson]


New clones supported:
---------------------

Crush Roller (set 2) [Zsolt Vasvari]
Rampage (revision 2) [Zsolt Vasvari]
Satan's Hollow (set 2, only the sound ROMs are different) [Zsolt Vasvari]
Bosconian (Midway set 2) [Zsolt Vasvari]
Galaxians (bootleg) [Zsolt Vasvari]


These drivers have improved GRAPHICS:
-------------------------------------

- Kludged in a fix for char/sprite priority in Traverse USA. [Nicola Salmoria]


These drivers have new or improved SOUND:
-----------------------------------------

- Sound in Pac-Land, and improved Rolling Thunder. [Ernesto Corvi]

- Full sound in Sly Spy, Midnight Resistance, Dark Seal. [Bryan McPhail]

- Emulated the death sound in Mario Bros, the sample is no longer used.
  [Brian Stern]


These drivers have HIGH SCORE support:
--------------------------------------

- DEC8 games. [Roberto Fresca]


Other drivers changes:
----------------------

- Emulated the protection in Sly Spy. [Bryan McPhail]


Changes to the main program:
----------------------------

- [DOS] Added a header to .inp files (same as MAME32). With the additional
  header, the user no longer needs to specify the game name when playing back
  .inp recordings. [Mike Haaland]

- Added the ability to show the total number of colors on screen. This is
  useful during development to know if a game can be shrinked to 256 colors or
  it requires a 16-bit display. Press CTRL+F11 to toggle the display. This is
  only available in debug builds. [Nicola Salmoria]


Source:
-------

- The TileMap code is now mature enough to be used in new drivers. For
  examples, look into gng, gaiden, travrusa. [Phil Stroffolino]

- Merged the old and new Namco sound subssytem, and added support for stereo
  output. [Aaron Giles]

- H6280 emulator, used by several DECO games. [Bryan McPhail]


==========================================================================


0.35 BETA 4

New games supported:
--------------------

Block Block
Super Pang (KEEP 1 PRESSED WHILE BOOTING THE FIRST TIME)
Digger [Raney Eden]
64th Street [Luca Elia]       \
P-47 [Luca Elia]              | These don't work with the 68000 C core
Legend of Makaj [Luca Elia]   /
Crossbow [Aaron Giles]
Cheyenne [Aaron Giles]
Combat [Aaron Giles]
Clay Pigeon [Aaron Giles]
Chiller [Aaron Giles]
Top Secret [Aaron Giles]
Hit 'n Miss [Aaron Giles]
Who Dunit [Aaron Giles]
Showdown [Aaron Giles]
Power Spikes [Nicola Salmoria]
Zero Wing [Darren Olafson]
Hell Fire [Darren Olafson]
Guerrilla War [Phil Stroffolino]
Touchdown Fever [Phil Stroffolino]


New clones supported:
---------------------

Pang (original)
Buster Bros
Smash TV (revision 6 and 4) [Zsolt Vasvari]
alternate versions of MK and MK2 (they were already there, just not linked)


Other drivers changes:
----------------------

- It seems that the Fatal Fury 2 protection was still causing some problems in
  later levels. It should now be completely worked around. NOTE: YOU MUST
  DELETE FATFURY2.HI OR THE GAME WILL MALFUNCTION AFTER THE FIRST BONUS ROUND.
  [Nicola Salmoria]


Changes to the main program:
----------------------------

- [DOS] New -quadra and -triple video options. They are slower than the
  others, but provide interesting features. With -quadra the screen is
  quadrupled horizontally and tripled vertically, so a 256x256 game fits
  perfectly in a 1024x768 screen. -triple triples horizontally and doubles
  vertically, so it's perfect for Moon Patrol. [ole00@usa.net]

- Improved palette compression with color fades. [Nicola Salmoria]

- Improved the YM2610 emulation. [Tatsuyuki Satoh]


Source:
-------

- [DOS] Now compiled using Allegro 3.11. Unfortunately, contrary to what I
  had been promised, allegro.h provided with the library still fails to
  compile with MAME, so a fixed one is included.


==========================================================================


0.35 BETA 3

New games supported:
--------------------

Devil Fish [Chris Hardy]
Magical Spot II [Zsolt Vasvari]
Devil Zone [Mike Coates]
Turbo Force [Nicola Salmoria]
Space Intruder [Lee Taylor]
Tropical Angel [Phil Stroffolino]
Capcom World 2 [Steve S.]
Quiz and Dragons [Steve S.]
Warriors of Fate [Russell Nash]
Cadillacs and Dinosaurs [Russell Nash]
Punisher [Nicola Salmoria]
Slam Masters (not working) [Nicola Salmoria]
Muscle Bomber Duo (not working) [Russell Nash]
Ambush [Zsolt Vasvari]
Fire One [Olivier Galibert]
Street Fighter [Olivier Galibert]
Gondomania [Bryan McPhail]
Last Mission [Bryan McPhail]
Shackled [Bryan McPhail]
Captain Silver [Bryan McPhail]


New clones supported:
---------------------

Space Battle (= japirem) [Nicola Salmoria]
Amidar (Olympia) [Zsolt Vasvari]
10 Yard Fight (Vs. version set 1) [Zsolt Vasvari]
Asteroids Deluxe (version 1) [Julian Eggebrecht]
Zoo Keeper (set 2) [Nicola Salmoria]
Qix (set 2) [Nicola Salmoria]
Canyon Bomber (prototype) [Mike Balfour]
Magic Brush (= Make Trax) [Zsolt Vasvari]
Fitter (= Round Up) [Nicola Salmoria]


These drivers have improved GRAPHICS:
-------------------------------------

- Added the interesting parts to Gals Panic. [Nicola Salmoria]

- Fixed big sprites in Tokio, and unified it with Bubble Bobble.
  [Nicola Salmoria]

- Sprite zoom support in Aero Fighters. [Nicola Salmoria]

- 16-bit color support in the NeoGeo driver. It's enabled in a few games which
  were particularly affected by reduction to 256 colors. [Nicola Salmoria]

- CPS1 games are being worked on, they are temporarily slower but accuracy is
  improved.

- Improved Star Fire. [Olivier Galibert]


These drivers have new or improved SOUND:
-----------------------------------------

- Samples support in Cosmic Guerilla. [Mike Coates]

- New sample support in Tac/Scan. [Jim Hernandez]


These drivers have HIGH SCORE support:
--------------------------------------

- Ghost Busters, Maze Hunter, Canyon Bomber. [Roberto Fresca]

- Last Duel, Mad Gear, M79 Ambush, Lode Runner 2 & 3, Lot Lot, Dead Eye.
  [Howie Cohen]

- Speed Rumbler, Liquid Kids, Growl. [Eugenio De Renzi]


Other drivers changes:
----------------------

- Support for the ORIGINAL version of Bubble Bobble, with 68705 code from a
  pirate board. Wizards *do* throw stones in this version. [Nicola Salmoria]

- Removed the protection in Fatal Fury 2. [Eugenio De Renzi]

- Emulated the protection (TMS32010) in Twin Cobra, which is now fully
  playable. [Quench]

- Fixed the protection in Frisky Tom. [Andrew Prime]

- Properly emulated the 68705 protection in The Electric Yo-Yo, Kram, Space
  Dungeon, Zoo Keeper. [Nicola Salmoria]

- Simulated the 8751 protection in F1 Dream, but it seems to work on Macs
  only (endian issue?). [Eric Hustvedt]

- Improved Birdie King 2 which is now playable. [Zsolt Vasvari]

- Fixed speed in Oscar. [Bryan McPhail]

- Super Real Darwin is fully working. [Bryan McPhail]


Source:
-------

- A couple of bug fixes in the 6808 core. [Brad Oliver]

- TMS32010 emulator. This is used by Twin Cobra. [Quench]

- New experimental TileMap code, used by Ninja Gaiden and Ghosts and Goblins.
  This makes the driver code cleaner and gives a major performance boost in
  the video rendering. DON'T USE IN NEW CODE UNTIL FURTHER NOTICE!!
  [Phil Stroffolino]

- [DOS] X86 asm Z80 core. [Juergen Buchmueller]


==========================================================================


Note: the CPU cores are still in a state of flux. Most of the problems in 35b1
have been fixed, however some still remain (e.g. Gauntlet doesn't accept
coins and Exterminator crashes).

0.35 BETA 2

New games supported:
--------------------

Radical Radial [Nicola Salmoria]
Cosmic Guerilla [Mike Coates]
Pig Newton [Mike Balfour]
Head On 2 [Nicola Salmoria]
Canyon Bomber [Brad Oliver]
Sky Diver [Brad Oliver]
Gals Panic [Nicola Salmoria]
Super Real Darwin [Bryan McPhail]
Lode Runner II (also renamed ldrun2p -> ldrun4) [Nicola Salmoria]
Lode Runner III [Nicola Salmoria]
Aero Fighters [Nicola Salmoria]
Three Wonders (preliminary) [Paul Leaman]
Street Fighter II' Champion Edition [Paul Leaman]
Street Fighter II' Hyper Fighting [Paul Leaman]
Lot Lot [Nicola Salmoria]
Atari Baseball [Brad Oliver]
Ikari Warriors [Jarek Parchanski]
Victory Road [Jarek Parchanski]


New clones supported:
---------------------

Circus Charlie (Centuri) [Valerio Verrando]
The King of the Dragons (Japan) [Nathan Barber]
Knights of the Round (Japan) [Nathan Barber]
Captain Commando (USA) [Nicola Salmoria]
Captain Commando (Japan) [Nathan Barber]
Final Fight (USA) [Nicola Salmoria]
Street Fighter 2 (US rev A) [Paul Leaman]
Street Fighter 2 (US rev B) [Paul Leaman]
Street Fighter 2 (US rev E) [Paul Leaman]
Varth (Japan) [Nicola Salmoria]
Top Secret (= Bionic Commando) [Maurizio Clementini]
Ghost Busters (3 players) [Bryan McPhail]
Gravitar (version 3) [Nicola Salmoria]
Space Firebird (Gremlin) [Thierry Lescot]
Space Bird (= Space Firebird) [Thierry Lescot]
Space Demon [Zsolt Vasvari]
Popeye (set 2) (not working due to encryption) [Nicola Salmoria]
Capcom Bowling (set 2) [Nicola Salmoria]
Centipede (bootleg with AY8910 instead of Pokey) [Zsolt Vasvari]
Alien Invaders 2 [Lee Taylor]
Space Invaders (TV Version) [Lee Taylor]
Space Invaders Colour (CV Version) [Lee Taylor]
Space Invaders (SV Version) [Lee Taylor]
Solar Fight (= Ozma Wars) [Nicola Salmoria]
The Main Event (version F) [Nicola Salmoria]
Break Thru (Japan) [Bryan McPhail]
Jack the Giant Killer (set 1) [Brad Oliver]
Defender (Green label) [Nicola Salmoria]


These drivers have improved GRAPHICS:
-------------------------------------

- Fixed the sprite/playfield and playfield/playfield priorities in Bad Dudes /
  Dragon Ninja and Sly Spy. [Bryan McPhail]

- Fixed the title screen in P.O.W. [Bryan McPhail]

- Fixed gaps in the start/finish line in Neo Drift Out. [Nicola Salmoria]

- Attempt at emulating some raster effects in the NeoGeo games. The IRQ2
  handling is still 99% unknown, however you can see the field in Super
  Sidekicks 3 and 4. This is largely unaccurate, and VERY slow. Hit F1 to
  toggle the emulation on or off (by default it's on). [Nicola Salmoria]

- Almost accurate colors in Galivan. [Nicola Salmoria]

- Improved row scrolling in Street Fighter 2, plus several other fixes to the
  CPS1 games. [Paul Leaman]

- Fixed sprite colors in Euro League. [Nicola Salmoria]

- Fixed sprites disappearing abruptly in TMNT end of game credits. [Nicola
  Salmoria]

- Fixed the green and white flags in Championship Sprint / Super Sprint, and
  maybe other Atari System 2 sprites as well. [Nicola Salmoria]

- Fixed sprite flipping in Jack the Giant Killer end sequence. [Brad Oliver]

- Fixed (?) the title in Galaxian Part X. [Nicola Salmoria]

- Accurate colors in Mariner. [Gerald Vanderick]


These drivers have new or improved SOUND:
-----------------------------------------

- Added support for the 7751 sound chip in Monster Bash. Two samples are still
  needed (discrete circuits). [Mike Balfour]

- Good progress in sound emulation of the Exidy games (Venture, Pepper 2, etc.)
  [Dan Boris]

- Fixed the YM2203 in Ghost Busters. [Bryan McPhail]

- Speech in TMNT. Sound should now be 100% complete. [Howie Cohen]

- uPD7759 support in Golden Axe, Shinobi, Passshtb, Alien Syndrome,
  Altered Beast. [Howie Cohen]

- Emulated speech in Sinistar. Samples are no longer used. [Alex Pasadyn]

- Sound in The Main Event. [Nicola Salmoria]

- Sound fade timer ports in the CPS1 games (see Willow's Test mode for an
  example). [Paul Leaman]


These drivers have HIGH SCORE support:
--------------------------------------

- Side Pocket, Rolling Thunder. [Dave W.]


Other drivers changes:
----------------------

- Emulated the protection in Seicross, Radical Radial, Frisky Tom. However
  Frisky Tom is still not playable (hangs when you fall). [Nicola Salmoria]

- The hang in Tapper should REALLY be fixed this time. [Juergen Buchmueller]

- Emulated the protection in Knights of the Round and Carrier Air Wing.
  [Paul Leaman]


Changes to the main program:
----------------------------

- [DOS] The key to change frameskip is now F9 instead of F8. [Nicola Salmoria]


Source:
-------

- New 68000 C core. For testing purposes, this is also being used in the DOS
  version instead of the asm core. [Karl Stenerud]
  Differences:

  1. Faster.  This code is, barring ram fetch time, almost twice as fast as the
     existing C core in MAME.  I've done extensive speed profiling on both
     engines.  The only problem now is the slow memory access in MAME due to
     bankswitching et al.

  2. Emulation more correct.  I found many bugs in the MAME engine (and many,
     many more in mine for that matter) when I pitted them head-to-head.
     I have run random instructions from each opcode class at least 10 million
     times, comparing the resultant CPU states, and have left it running random
     instructions for 1 billion iterations.  In every case, I have adhered to
     the specs defined in M68000PM/AD REV. 1.

  3. Disassembler is correct.  The current M68000 disassembler in mame has a
     tendency to disassemble instructions that have an invalid EA mode.

  4. Cycle counting is 99.9% correct.  The only instructions which don't have
     correct cycle counts are divs, divu, muls, mulu, and they're not worth
     counting correctly. (I'm not about to waste emulation time counting 0-1 and
     1-0 sequences).

  5. > 32 bit friendly.  I've taken care to ensure maximum portability without
     sacrificing speed.  The result is conditional compiling dependant on your
     architecture.  I've also implemented and tested a compatible solution for
     architectures that lack 8, 16, or 32 bit signed storage types.

  6. The code is carefully laid out to be readable. (I beg to differ - NS)

- Fixed some bugs in the I8039 emulation. [Brian Stern]

- Z8000 emulator. [Juergen Buchmueller]

- NEC uPD7759 emulation. This is used by TMNT, System 16, and others.
  [Juergen Buchmueller, Mike Balfour, Howie Cohen]

- CVSD emulation, used for speech in Sinistar and in the 34010 games (Smash TV
  etc.). [Larry Bank, Alex Pasadyn]


==========================================================================


0.35 BETA 1

Note: the configuration save format has changed. You may just as well delete
all of the cfg/*.cfg files, since they won't be loaded. Old .inp files will not
work either.
The good news is that the default key assignments can now be modified, so you
don't have to change them for all the games. The code is a quick hack put
together in fifteen minutes, but it's bettern than nothing. It will be improved
in future versions.


New games supported:
--------------------

Rolling Thunder [Jimmy Hamm, Phil Stroffolino, Ernesto Corvi]
Pocket Gal [Bryan McPhail]
Battle Lane Vol. 5 (preliminary) [Paul Leaman]
Turtle Ship [Victor Trucco]
Mariner [Zsolt Vasvari]
Atari Football [Mike Balfour, Patrick Lawrence, Brad Oliver]


New clones supported:
---------------------

Sector Zone (= Seicross) [Nicola Salmoria]
Carnival (cocktail) [Nicola Salmoria]
Pac Man (Hearts) [a zillion people]
City Connection (set 2) [Thierry Lescot]
Burger Time (DECO set 1) [Nicola Salmoria]
Sly Spy (set 1) [Nicola Salmoria]
Wild Fang (= Tecmo Knight) [Thierry Lescot]
Crazy Kong (Orca bootleg) [David Winter]
Gate of Doom (set 2) [Thierry Lescot]
Zig Zag (Dig Dug hardware) [Nathan Barber]
Black Dragon (bootleg, hacked) [Nicola Salmoria]
Exciting Soccer (alternate music) [Thierry Lescot]


These drivers have improved GRAPHICS:
-------------------------------------

- Fixed Psychic 5 and Toki title screens. [Jarek Parchanski]

- Proper support of the playfiled/sprite priority and palette system in Return
  of the Jedi. [Nicola Salmoria]

- Accurate colors in Spelunker II. [Nicola Salmoria]

- Fixed Heiankyo Alien colors. [Zsolt Vasvari]

- Fixed NeoGeo palette - it's 5 bits per gun, not 4. Of course this makes the
  reduction to 256 colors even more difficult. 16-bit video modes will be
  supported in a later version. [Nicola Salmoria]

- Added a kludge to avoid leftover sprites in Rally-X. [Larry Bank]

- Fixed missing background behind the three towers in Metal Slug level 1.
  [Nicola Salmoria]

- Fixed missing line in the tank's shot in Metal Slug intro. [Nicola Salmoria]

- Fixed the Swimmer side panel background color. [Gary Walton]


These drivers have new or improved SOUND:
-----------------------------------------

- Fixed shoot sound in Juno First. [Nicola Salmoria]

- Added PCM samples to Ninja Kid II. [Jarek Parchanski]

- Added the 007232 to TMNT. Another sound chip is still missing to get 100%
  sound. [Howie Cohen]

- Sound in Psycho-Nics Oscar. [Nicola Salmoria]

- Partial sound in The Real Ghostbusters. The YM203 doesn't seem to work
  correctly. [Nicola Salmoria]


These drivers have HIGH SCORE support:
--------------------------------------

- Road Fighter, Iron Horse. [Howie Cohen]

- Lizard Wizard. [M.C. Silvius]

- Space Tactics. [Zsolt Vasvari]


Other drivers changes:
----------------------

- Analog joystick support in Sinistar and Blaster. [Nicola Salmoria]

- Worked out the Super Punch Out protection. [Tatsuyuki Satoh, Ernesto Corvi]

- Hacked the protection in Super Sidekicks. [Battlepriest]

- Fixed two players games in Phoenix, and the protection in Pleiads (which
  made game resets not work). [Zsolt Vasvari]


Changes to the main program:
----------------------------

- Support for the Namco System 1 sound system. [Ernesto Corvi]

- [DOS] Widened the frameskip range. It now is 0-11, meaning the number of
  frames to skip out of 12. For example, if the game normally runs at 60 fps,
  "-frameskip 2" will make it run at 50 fps, and "-frameskip 6" at 30 fps.
  Also, if a frame takes more than the allotted time to display, the lost
  time can be recovered in the following frames. Moreover, improved the way
  audio streams are handled, so they stay more in sync with the video. There
  should never be any more audio breakups EVER (as long as your system can
  keep the game running at 100% speed).
  All of these changes together mean that it is now possible to run at much
  higher frame rates than before (if your system is fast enough).
  [Nicola Salmoria]

- [DOS] Implemented auto frameskip. It dynamically adjusts the frameskip
  setting to display the maximum possible frames without dropping below 100%
  speed.
  It is on by default; to turn it off, specify an explicit frameskip value,
  e.g. "-frameskip 0". Autoframeskip only works well if your machine is fast
  enough to run the game at 100% speed. If it isn't, you had better use a
  fixed frameskip.
  NOTE: you must delete mame.cfg (or manually change the line "frameskip = 0"
  to "frameskip = auto") for the auto frameskip to become the default.
  [Nicola Salmoria]

- [DOS] "vmame" modes 320x480 and 400x600, which speed up scanlined VESA modes
  for some games and graphic cards which support these resolutions.
  Currently, these modes will not be autodetected, that is, the commandline
  options "-320x480" or "-400x600" have to be used.
  [Nicola Salmoria, Michael Cunanan]

- [DOS] Joysticks are now selected by a symbolic name (e.g. "-joystick wingex"
  for Wingman Extreme) instead of a number. For the list of names, look into
  readme.txt. Numbers are still supported, but may not be in future releases.
  SNES gamepads on parallel ports are supported now, provided you have some
  additional hardware (the "official" Snespad-Support site is
  http://snespad.emulationworld.com). [Bernd Wiebelt]

- [DOS] For cosmetical reasons, added support for VESA3, which can be selected
  by putting "vesamode=vesa3" into mame.cfg. It is highly unlikely that you'll
  get any speed improvement. [Bernd Wiebelt]


Source:
-------

- New function cpu_getcurrentframe() which returns the number of the video
  frame currently being played. It can be used by drivers to control effects
  which spawn over multiple frames (e.g. blinking) without using static
  internal counter (which would require a custom interrupt handler to avoid
  problems when the game is paused). [Nicola Salmoria]

- Frame skipping is entirely handled by the OS dependant code.
  osd_skip_this_frame() no longer has the "recommend" parameter.
  Also, replaced osd_update_display() and osd_update_audio() with the single
  osd_update_video_and_audio().
  IMPORTANT: osd_update_video_and_audio() is called *every frame* by the main
  core. It's its responsability to know whether the frame has to be skipped.
  osd_skip_this_frame() is used by the main core only to know if it can avoid
  calling drv->vh_update(). [Nicola Salmoria]

- New Z80 emulator. [Juergen Buchmueller]

- Fixed several bugs in the I86 emulator. [Juergen Buchmueller]

- New CPU interrupt system. The functions cpu_set_irq_line() and
  cpu_set_nmi_line() can be used to precisely control the status of the CPU
  physical lines, instead of using the limited control granted by
  cpu_cause_interrupt(). [Juergen Buchmueller]

- Konami 007232 sound chip emulator. This is used by TMNT. [Hiromitsu Shioya]

- The driver input ports are now 16 bit. This allows for higher resolution
  analog inputs (Arkanoid 2). Also, the 68000 based games no longer have to
  read and mix two 8 bit ports to get a 16 bit value. [Brad Oliver]

- [DOS] Now compiled with Allegro 3.1. Unfortunately the standard allegro.h
  doesn't compile with the pedantic compiler setup we are using, you'll have to
  use the provided fixed version instead. [Bernd Wiebelt]

- Added a horrible dirty hack to allow opcode encryption on CPUs other than
  the main one. It's really ugly and needs a rewrite, but it's enough to get
  sound in Pocket Gal and The Real Ghostbusters. [Nicola Salmoria]

- Exported info_cpu_name(), info_sound_name() and other similar functions from
  info.c so they can be used by usrintf.c and by anyone else who needs them.
  [Nicola Salmoria]
